Bug 313201 - Review Request: aasaver - A screensaver for KDE which presents an ASCII aquarium
Review Request: aasaver - A screensaver for KDE which presents an ASCII aqua...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marc Bradshaw
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-30 13:46 EDT by Ian Chapman
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-02 16:02:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Ian Chapman 2007-09-30 13:46:11 EDT
Spec URL: http://dribble.org.uk/reviews/aasaver.spec
SRPM URL: http://dribble.org.uk/reviews/aasaver-0.3.2-1.src.rpm

KDE Asciiquarium is a KDE screensaver based on Kirk Baucom's fabulous
asciiquarium program (http://www.robobunny.com/projects/asciiquarium/). It's a
simulation of an animated ocean scene using ASCII art.

rpmlint info:
E: aasaver configure-without-libdir-spec
W: aasaver no-documentation
E: aasaver file-in-usr-marked-as-conffile

These can all be ignored because:

1. The configure script is NOT a normal configure script
2. There is no documentation
3. It's a KDE configuration file so doesn't reside in /etc
Comment 1 Marc Bradshaw 2007-10-02 06:44:41 EDT
OK -  Meets Packaging Guidelines.
OK -  Package named correctly
NA -  Patches named correctly
      No Patches
OK -  Spec file named correctly to match base
OK -  License is valid
OK -  Licence field matches package
OK *1 Licence file installed if supplied
OK -  Spec file in American English
OK -  Source matches upstream (md5)
NA -  Locales use %find_lang
      No Locales
OK -  %clean is present and correct
OK -  Package has correct buildroot.
OK -  Specfile Legible
OK -  Builds in Mock
NA -  %post/%postun calls ldconfig for sh libs
      No sh libs
NA -  Owns directories it creates
      Creates no directories
OK -  No duplicate files
OK -  Has %defattr and has correct permissions
OK -  Macros used consistantly
NA -  %doc does not affect runtime
      No Docs
NA -  Headers/static libs in -devel
NA -  .pc files in -devel
NA -  .so files in -devel
NA -  -devel requires base
      No -devel
OK -  Contains no .la libtool archive files
OK -  Does not own others files
OK -  .desktop files installed correctly
OK -  BuildRequires correct.
OK -  Package is code or permissible content.
OK -  Package has rm -rf %{buildroot} at top of %install.
OK -  Package compiles and builds on at least one arch.
OK *2 rpmlint output.
NA -  documentation in -doc package
      No documentation
OK -  final provides and requires are sane.
OK -  should have dist tag
OK -  should package latest version

*1 No License file included by upstream, consider contacting upstream about this.

*2 Warnings as expected are explained in review.

Comment 2 Ian Chapman 2007-10-02 09:01:19 EDT
Thanks for the review
Comment 3 Ian Chapman 2007-10-02 09:05:31 EDT
New Package CVS Request
Package Name: aasaver
Short Description: A screensaver for KDE which presents an ASCII aquarium
Owners: oddsocks
Branches: FC-6 F-7
InitialCC: <empty>
Cvsextras Commits: yes
Comment 4 Kevin Fenzi 2007-10-02 12:04:58 EDT
cvs done.
Comment 5 Ian Chapman 2007-10-02 16:02:12 EDT

Note You need to log in before you can comment on or make changes to this bug.